Package Details: micro 1.4.1-2

Git Clone URL: https://aur.archlinux.org/micro.git (read-only)
Package Base: micro
Description: A modern and intuitive terminal-based text editor
Upstream URL: https://github.com/zyedidia/micro
Keywords: editor
Licenses: MIT
Submitter: nycko123
Maintainer: frealgagu
Last Packager: frealgagu
Votes: 29
Popularity: 5.750026
First Submitted: 2017-12-15 16:55
Last Updated: 2019-04-13 14:39

Latest Comments

1 2 Next › Last »

frealgagu commented on 2019-09-29 14:40

@xyproto It would be excellent. Please do it.

xyproto commented on 2019-09-28 15:44

frealgagu, I would like to move micro to [community] if you don't mind.

mirrorimage commented on 2019-05-09 07:08

Excellent editor. Thanks. Hope it will be moved into standard repo.

frealgagu commented on 2018-09-27 01:00

Fixed, please let me know if you have troubles installing it.

jat255 commented on 2018-09-21 01:43

@nicoulaj, I had the same problem. To fix it, edit the PKGBUILD and add export GOPATH="${srcdir}" into build() (like is done in prepare() ). That will allow it to build.

nicoulaj commented on 2018-09-02 15:36

Fails to build for me using yay: /home/nicoulaj/.cache/yay/micro/PKGBUILD: line 25: cd: /src/github.com/zyedidia/micro: No such file or directory

Looks like an issue with GOPATH

ReDemoNBR commented on 2018-08-04 23:52

Tested in my Raspberry Pi 3 and Raspberry Pi 0W, which are archs armv7h and armv6h, respectively. The package builds nicely and it is working fine in both devices.

So I think it is safe to add 'armv7h' and 'armv6h' to arch.

mgmartins commented on 2018-04-05 06:02

Error while preparing:

==> Iniciando prepare()... github.com/zyedidia/micro (download) error: pathspec 'tags/v1.4.1' did not match any file(s) known to git.

mar77i commented on 2018-04-04 13:40

Added git as a makedepend. Thanks @MrFry

MrFry commented on 2018-03-31 18:23

@davidmcinnis installing git solved it for me, since it uses it in prepare()